Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.tags
Class SearchTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.forms.tags.FormTagBase
                      org.makumba.forms.tags.SearchTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class SearchTag

extends FormTagBase

This class provides a search form. It slightly differs from other forms in the way that it uses it's own tags, namely

- `CriterionTag`, needed for each search criterion to appear in the form
- `SearchFieldTag`, nested in a `CriterionTag`, generates an input
- `MatchModeTag` will generate an input that allows to select the match mode, e.g. exact or range searching.

Version:
  $Id: SearchTag.java,v 1.1 Oct 9, 2007 1:50:47 AM rudi Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary
`static String` | `ATTRIBUTE_NAME_DONE`
`static String` | `ATTRIBUTE_NAME_QUERYSTRING`
`static String` | `ATTRIBUTE_NAME_VARIABLE_FROM`
`static String` | `ATTRIBUTE_NAME_WHERE`
`(package private) DataDefinition` | `in`
`static String` | `MATCH_AFTER`
`static String` | `MATCH_BEFORE`
`static String` | `MATCH_BEGINS`
`static String` | `MATCH_BETWEEN`
`static String` | `MATCH_BETWEEN_INCLUSIVE`
`static String` | `MATCH_CONTAINS`
`static String` | `MATCH_ENDS`
`static String` | `MATCH_EQUAL_GREATER`
`static String` | `MATCH_EQUAL_LESS`
`static String` | `MATCH_EQUALS`
`static String` | `MATCH_GREATER`
`static String` | `MATCH_LESS`
`static String` | `OBJECT_NAME`
`static String` | `SUFFIX_INPUT_MATCH`

Fields inherited from class org.makumba.forms.tags.FormTagBase
`__MAKUMBA__FORM__COUNTER__, afterHandler, annotation, annotationSeparator, baseObject, basePointer, bodyContent, ddp, fdp, formAction, formMessage, formMethod, formName, handler, lazyEvaluatedInputs, reloadFormOnError, responder, starttime`

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchTag()`

Method Summary
`boolean` | `containsInput(String inputName)`
`protected void` | `doAnalyzedCleanup()` Called by doEndTag in its finally block.
`DataDefinition` | `getDataTypeAtAnalysis(PageCache pageCache)` The basic data type inside the form. null for generic forms
`ResponderOperation` | `getResponderOperation(String operation)` Gives the operation associated with this form tag.
`void` | `initialiseState()` Inherited
`void` | `setAction(String s)`
`void` | `setIn(String s)`
`void` | `setTagKey(PageCache pageCache)` Inherited

Methods inherited from class org.makumba.forms.tags.FormTagBase
`checkNoParent, doAnalyzedEndTag, doAnalyzedStartTag, doEndAnalyze, doInitBody, doStartAnalyze, findParentForm, findRootForm, getDefaultExpr, getFormIdentifier, getNestedFormNames, getOperation, setAfterHandler, setAnnotation, setAnnotationSeparator, setBodyContent, setClientSideValidation, setHandler, setMessage, setMethod, setMultipart, setName, setObject, setOnReset, setOnSubmit, setReloadFormOnError, setTarget, shouldComputeBasePointer`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`doStartTag, getParams, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleClass, setStyleId, setTitle, setType, setType, setUrlEncode, toString`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, allowsIdenticalKey, canHaveBody, checkValidAttributeValues, doEndTag, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.IterationTag
`doAfterBody`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Field Detail

### ATTRIBUTE_NAME_DONE

    public static final String ATTRIBUTE_NAME_DONE

See Also:
  Constant Field Values

### ATTRIBUTE_NAME_QUERYSTRING

    public static final String ATTRIBUTE_NAME_QUERYSTRING

See Also:
  Constant Field Values

### ATTRIBUTE_NAME_VARIABLE_FROM

    public static final String ATTRIBUTE_NAME_VARIABLE_FROM

See Also:
  Constant Field Values

### ATTRIBUTE_NAME_WHERE

    public static final String ATTRIBUTE_NAME_WHERE

See Also:
  Constant Field Values

### MATCH_AFTER

    public static final String MATCH_AFTER

See Also:
  Constant Field Values

### MATCH_BEFORE

    public static final String MATCH_BEFORE

See Also:
  Constant Field Values

### MATCH_BEGINS

    public static final String MATCH_BEGINS

See Also:
  Constant Field Values

### MATCH_BETWEEN

    public static final String MATCH_BETWEEN

See Also:
  Constant Field Values

### MATCH_BETWEEN_INCLUSIVE

    public static final String MATCH_BETWEEN_INCLUSIVE

See Also:
  Constant Field Values

### MATCH_CONTAINS

    public static final String MATCH_CONTAINS

See Also:
  Constant Field Values

### MATCH_ENDS

    public static final String MATCH_ENDS

See Also:
  Constant Field Values

### MATCH_EQUALS

    public static final String MATCH_EQUALS

See Also:
  Constant Field Values

### MATCH_GREATER

    public static final String MATCH_GREATER

See Also:
  Constant Field Values

### MATCH_LESS

    public static final String MATCH_LESS

See Also:
  Constant Field Values

### MATCH_EQUAL_GREATER

    public static final String MATCH_EQUAL_GREATER

See Also:
  Constant Field Values

### MATCH_EQUAL_LESS

    public static final String MATCH_EQUAL_LESS

See Also:
  Constant Field Values

### SUFFIX_INPUT_MATCH

    public static final String SUFFIX_INPUT_MATCH

See Also:
  Constant Field Values

### OBJECT_NAME

    public static final String OBJECT_NAME

See Also:
  Constant Field Values

### in

    DataDefinition in

Constructor Detail

### SearchTag

    public SearchTag()

Method Detail

### getDataTypeAtAnalysis

    public DataDefinition getDataTypeAtAnalysis(PageCache pageCache)

  Description copied from class: `FormTagBase`
  The basic data type inside the form. null for generic forms

  Overrides:
    `getDataTypeAtAnalysis` in class `FormTagBase`

### getResponderOperation

    public ResponderOperation getResponderOperation(String operation)

  Description copied from class: `FormTagBase`
  Gives the operation associated with this form tag. Each tag should implement its own

  Overrides:
    `getResponderOperation` in class `FormTagBase`
  Parameters:
    `operation` - name of the operation
  Returns:
    a `ResponderOperation` object holding the operation information

### initialiseState

    public void initialiseState()

  Inherited

  Overrides:
    `initialiseState` in class `FormTagBase`

### setAction

    public void setAction(String s)

  Overrides:
    `setAction` in class `FormTagBase`

### setIn

    public void setIn(String s)

### setTagKey

    public void setTagKey(PageCache pageCache)

  Inherited

  Overrides:
    `setTagKey` in class `FormTagBase`
  Parameters:
    `pageCache` - the page cache of the current page
  See Also:
    `AnalysableTag.doAnalyzedStartTag(org.makumba.analyser.PageCache)`, `AnalysableTag.doStartAnalyze(org.makumba.analyser.PageCache)`

### doAnalyzedCleanup

    protected void doAnalyzedCleanup()

  Description copied from class: `AnalysableTag`
  Called by doEndTag in its finally block. Use it to clean references that will not be used next time the servlet container uses the tag object.

  Overrides:
    `doAnalyzedCleanup` in class `FormTagBase`

### containsInput

    public boolean containsInput(String inputName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20